Appearance
Update current user profile
PATCH
/api/v1/users/me
Updates the authenticated user's own profile fields such as name, phone number, or password.
Authorizations
HTTPBearer
Type
HTTP (bearer)
Request Body
application/json
JSON "email": "string", "first_name": "string", "last_name": "string", "phone_number": "string", "current_password": "string", "password": "string", "role": "string", "is_active": true
{
}
Responses
Successful Response
application/json
JSON "id": "string", "email": "string", "first_name": "string", "last_name": "string", "phone_number": "string", "role": "string", "is_active": true, "email_verified": false, "is_super_admin": false, "two_factor_enabled": false, "two_factor_method": "string", "oauth_provider": "string", "email_preferences": { "usage_billing": true, "ai_studio": true, "system_alerts": true }, "created_at": "string", "last_login_at": "string", "organization": { "id": "string", "name": "string", "slug": "string", "settings": { "additionalProperties": "string" }, "address": "string", "phone_number": "string", "tax_id": "string", "billing_email": "string", "byok_enabled": false, "has_anthropic_key": false, "has_deepseek_key": false, "has_google_key": false, "enforce_2fa": false, "created_at": "string" }
{
}